%define 	name	ploticus
%define 	version	2.33
%define		shortv	233
%define		release	2%{?dist}

%define		prefabsdir	%{_datadir}/%{name}

Summary:	Ploticus data display engine
Name:		%{name}
Version: 	%{version}
Release: 	%{release}
URL: 		http://ploticus.sourceforge.net/
License:	GPL
Vendor:		Stephen C. Grubb <steve@sgpr.net>
Group: 		Applications/Multimedia
Buildroot: 	%{_tmppath}/%{name}
#Source:	http://ploticus.sourceforge.net/download/pl%{shortv}src.tar.gz
Source:		pl%{shortv}src.tar.bz2
Patch:		ploticus-2.21-Makefile.patch

BuildRequires:	gd-devel libpng-devel zlib-devel

%description
Ploticus is a free software package that creates graphical data
displays for web pages and intranets, paper reports, posters, slides,
or interactive use. Ploticus is script-driven and can be invoked
automatically (automated) from web servers and other programs.
Ploticus can work with flat ascii or spreadsheet data sets that
can include numerics and text as well as dates and times in a wide
variety of notations. It also has built-in capability of computing
frequency distributions, cross-tabs, medians, quartiles, and curve
fitting.

%prep
%setup -n pl%{shortv}src
%patch -p1

%build
pushd src
%ifarch i686 pentium3 pentium4 athlon x86_64
# XXX -O3 causes:
#	functions.c:639:16: macro "strchr" requires 2 arguments, but only 1 given
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed -e 's/-O3//g'`
%endif
make \
	%ifarch x86_64
	XLIBS="-L/usr/X11R6/lib64 -lX11" \
	%endif
	FLAGS="$RPM_OPT_FLAGS" PREFABS_DIR="%{prefabsdir}" %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
BINDIR=$RPM_BUILD_ROOT%{_bindir}
MAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1
#MAN3DIR=$RPM_BUILD_ROOT%{_mandir}/man3
PREFABSDIR=$RPM_BUILD_ROOT%{prefabsdir}
mkdir -p $BINDIR
#mkdir -p $MAN1DIR
#mkdir -p $MAN3DIR
mkdir -p $PREFABSDIR

install -s -m 755 src/pl $BINDIR

install -m 644 prefabs/* $PREFABSDIR

#install -m 644 man/man1/pl.1 $MAN1DIR
#install -m 644 man/man3/libploticus.3 $MAN3DIR

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
#%{_mandir}/man1/*.1*
#%{_mandir}/man3/*.3*
%{prefabsdir}
%doc README src/Copyright

%changelog
* Sat Jul  7 2007 Peter Hanecak <hany@hany.sk> 2.33-2
- update to 2.33
- added %%{?dist} into spec

* Tue Apr 11 2006 Peter Hanecak <hany@hany.sk> 2.32-2
- rebulild for Doors 9.0 (FC5)

* Wed Aug 24 2005 Peter Hanecak <hanecak@megaloman.sk> 2.32-1
- update to 2.32
- s/Copyright/License/

* Fri May  6 2005 Peter Hanecak <hanecak@megaloman.sk> 2.31-1
- update to 2.31

* Fri Sep 17 2004 Peter Hanecak <hanecak@megaloman.sk> 2.30-1
- update to 2.30

* Mon May 17 2004 Peter Hanecak <hanecak@megaloman.sk> 2.21-1
- update to 2.21

* Wed Oct 22 2003 Peter Hanecak <hanecak@megaloman.sk> 2.11-1
- update to 2.11
- updated URL
- %%{?_smp_mflags} used with 'make'

* Thu Jan  9 2003 Peter Hanecak <hanecak@megaloman.sk> 2.10-1
- update to 2.10
- src/Makefile changes merged into one patch
- group changed from "Scientific/Presentation" to "Applications/Multimedia"

* Fri Mar 15 2002 Peter Hanecak <hanecak@megaloman.sk>
- update to 2.03

* Wed Jan 30 2002 Peter Hanecak <hanecak@megaloman.sk>
- update to 2.02

* Tue Jul  3 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.41

* Thu Jan 18 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.40

* Thu Nov 30 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.39
- dropped unnecessary x11.c patch
- spec: %%{_tmppath} and other macros used

* Sat Sep 02 2000 <Christian.Werner@t-online.de>
- initial spec file
